Bug 170452 - ypserv updates overwrites /var/yp/Makefile
ypserv updates overwrites /var/yp/Makefile
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypserv (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Jay Turner
:
Depends On: 162156
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-11 17:14 EDT by Chris Feist
Modified: 2015-01-07 19:10 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0056
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:55:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Feist 2005-10-11 17:14:09 EDT
+++ This bug was initially created as a clone of Bug #162156 +++

/var/yp/Makefile contains important configuration information as to how the NIS
maps are made.

Currently, the ypserv rpm marks this file as %config, but not %config(noreplace).

This means that if a ypserv update comes along and changes the Makefile, the
next time the maps are remade (which may happen automatically from cron), they
will be wrong and potentially cause problems network wide.   This file really
should be %config(noreplace) to keep issues like this from coming up.
Comment 3 Chris Feist 2005-10-31 15:33:48 EST
Fixed in ypserv-2.13-9 and later.
Comment 7 Red Hat Bugzilla 2006-03-07 13:55:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0056.html

Note You need to log in before you can comment on or make changes to this bug.